<VirtualHost *:80>
  ServerName nexus.openmodelica.org
  DocumentRoot "/var/www/html"

ProxyPreserveHost On
ProxyPass / http://127.0.0.1:8081/
ProxyPassReverse / http://127.0.0.1:8081/
RequestHeader set X-Forwarded-Proto "https"

RewriteEngine on
RewriteCond %{SERVER_NAME} =nexus.openmodelica.org
RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>
